denLL <-
function(x, mu0, sigma0, sigmaLL )
 	{
	##  density of long-lived component (log lifespan)
	pfull <- dnorm(x, mean=mu0, sd=sqrt( sigma0^2 + sigmaLL^2 ) )
	tau <- 1/sigma0^2 + 1/sigmaLL^2
	mm <- ( (x-mu0)/(tau*sigma0^2))
        compensator <- 1-pnorm(0, mean=mm, sd=sqrt( 1/tau ) )
	dd <- 2*compensator*pfull
	return(dd)
	}
