denSL <-
function(x, mu0, sigma0, sigmaSL )
 	{
	## density of long-lived component (log lifespan)
	pfull <- dnorm(x, mean=mu0, sd=sqrt( sigma0^2 + sigmaSL^2 ) )
	tau <- 1/sigma0^2 + 1/sigmaSL^2
	mm <- ( (x-mu0)/(tau*sigma0^2))
        compensator <- pnorm(0, mean=mm, sd=sqrt( 1/tau ) )
	dd <- 2*compensator*pfull
	return(dd)
	}
