\name{denLL}
\alias{denLL}
%- Also NEED an '\alias' for EACH other topic documented here.
\title{
a function to evaluate density of long-lived component
}
\description{
long lived animals have lifespan X = ZU, for Z a null lifespan and U
 a multiplier, which exceeds 1 for the long-lived component
}
\usage{
denLL(x, mu0, sigma0, sigmaLL)
}
%- maybe also 'usage' for other objects documented here.
\arguments{
  \item{x}{
       a lifespan (natural log days)
}
  \item{mu0}{
       mean of null component (log scale)
}
  \item{sigma0}{
       standard deviation of null component
}
  \item{sigmaLL}{
      standard deviation of long-lived multiplier
}
}
\value{ a density 
} 
\references{ Lifespan supplement, Dove et al. 2014, G3.

}
\author{
Michael Newton
}

\examples{

supp <- seq(3,5, length=100 )
dd <- denLL( supp, mu0=5.05, sigma0=0.168, sigmaLL=0.477 )
plot( supp, dd, type="l" , lwd=3, col="red" )


## The function is currently defined as
function (x, mu0, sigma0, sigmaLL) 
{
    pfull <- dnorm(x, mean = mu0, sd = sqrt(sigma0^2 + sigmaLL^2))
    tau <- 1/sigma0^2 + 1/sigmaLL^2
    mm <- ((x - mu0)/(tau * sigma0^2))
    compensator <- 1 - pnorm(0, mean = mm, sd = sqrt(1/tau))
    dd <- 2 * compensator * pfull
    return(dd)
  }
}
% Add one or more standard keywords, see file 'KEYWORDS' in the
% R documentation directory.
\keyword{ ~kwd1 }
\keyword{ ~kwd2 }% __ONLY ONE__ keyword per line
