\name{denSL}
\alias{denSL}
%- Also NEED an '\alias' for EACH other topic documented here.
\title{
a function to evaluate density of short-lived component
}
\description{
 short lived animals have lifespan X=ZU for Z a null lifespan and U a
 multiplier, which is in (0,1) for the short-lived component
}
\usage{
denSL(x, mu0, sigma0, sigmaSL)
}
%- maybe also 'usage' for other objects documented here.
\arguments{
  \item{x}{
    a lifespan (natural log days)
}
  \item{mu0}{
    mean of null component
}
  \item{sigma0}{
    standard deviation of null component
}
  \item{sigmaSL}{
   standard deviation of short-lived multiplier
}
}
\value{ a density }
\references{
 Dove et al. 2014. G3.
}
\author{
Michael Newton
}


\examples{


supp <- seq(3,5, length=100 )
dd <- denSL( supp, mu0=5.05, sigma0=0.168, sigmaSL=0.26 )
plot( supp, dd, type="l" , lwd=3, col="red" )


## The function is currently defined as
function (x, mu0, sigma0, sigmaSL) 
{
    pfull <- dnorm(x, mean = mu0, sd = sqrt(sigma0^2 + sigmaSL^2))
    tau <- 1/sigma0^2 + 1/sigmaSL^2
    mm <- ((x - mu0)/(tau * sigma0^2))
    compensator <- pnorm(0, mean = mm, sd = sqrt(1/tau))
    dd <- 2 * compensator * pfull
    return(dd)
  }
}
% Add one or more standard keywords, see file 'KEYWORDS' in the
% R documentation directory.
