\name{ENU}
\alias{ENU}
\docType{data}
\title{
  data from UW mouse mutagenesis  project
}
\description{
 lifespan data on n=1525 G1F1 offspring of mutagenized males, and n=42 controls
}
\usage{data(ENU)}
\format{
  The format is:
List of 2
 $ G1F1:'data.frame':	1525 obs. of  6 variables:
  ..$ ID         : int [1:1525] 1 2 3 4 5 6 7 8 9 10 ...
  ..$ G1mouseID  : int [1:1525] 3 3 4 4 4 4 4 4 4 15 ...
  ..$ F1.mouse.ID: int [1:1525] 2 4 1 3 4 6 8 9 11 1 ...
  ..$ FatherID   : int [1:1525] 6976 8213 6976 6976 6976 7588 7588 7588 7588 7048 ...
  ..$ LastAge    : int [1:1525] 149 200 217 160 144 182 133 177 135 217 ...
  ..$ F1MinType  : Factor w/ 3 levels "min/+","Min/+",..: 2 2 2 2 2 2 2 2 2 2 ...
 $ F1  : num [1:42] 332 220 215 208 208 207 207 201 199 190 ...
}
\details{
as per source
}
\source{
Dove et al. 2014. G3. See also lifespan supplement.
}
\references{
Dove et al. 2014. G3
}
\examples{
data(ENU)
hist( ENU$G1F1$LastAge, 30 ,
      main="lifespans of offspring of ENU mutagenized males" )
}
\keyword{datasets}
