\name{ENUpack-package}
\alias{ENUpack-package}
\alias{ENUpack}
\docType{package}
\title{
data and likelihood code for UW ENU mutagenesis project
}
\description{
 fits mixture model to lifespans of offspring of ENU mutagenized mice
}
\details{
\tabular{ll}{
Package: \tab ENUpack\cr
Type: \tab Package\cr
Version: \tab 1.0\cr
Date: \tab 2014-04-22\cr
License: \tab GPLv3
}

}
\author{
Michael Newton

Maintainer: Michael Newton <newton@stat.wisc.edu>
}
\references{
Dove et al. 2014. G3.
}
\keyword{ package }

\examples{
 data(ENU)
 hist( ENU$G1F1$LastAge, 30,main="see nll on fitting a mixture to these data" )

 ## try demo(fitplot)
}
